Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516471 - Displayport related kernel errors during boot on NVIDIA G98
Summary: Displayport related kernel errors during boot on NVIDIA G98
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 17:08 UTC by Hans de Goede
Modified: 2018-11-30 19:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:03:44 UTC


Attachments (Terms of Use)
dmesg (deleted)
2017-11-22 17:08 UTC, Hans de Goede
no flags Details
VBIOS dump (deleted)
2017-12-06 12:39 UTC, Hans de Goede
no flags Details
dmesg with the errors when booting without a DP monitor (with the DP 2.0 table patch) (deleted)
2018-01-03 16:53 UTC, Hans de Goede
no flags Details
dmesg with the errors when plugging in a DP monitor after booting without it (with the DP 2.0 table patch) (deleted)
2018-01-03 16:55 UTC, Hans de Goede
no flags Details

Description Hans de Goede 2017-11-22 17:08:19 UTC
Created attachment 1357680 [details]
dmesg

Admittedly this is a bit of an old laptop, but it still has decent performance and runs x86_64 Fedora 27 just fine.

After upgrading to Fedora 27 / kernel 4.13 I noticed the following errors during boot:

[    3.584531] nouveau 0000:01:00.0: disp: outp 02:0006:0342: no bios dp data
[    3.584635] nouveau 0000:01:00.0: disp: outp 02:0006:0342: ctor failed: -22
[    3.584735] nouveau 0000:01:00.0: disp: outp 04:0006:0344: no bios dp data
[    3.584833] nouveau 0000:01:00.0: disp: outp 04:0006:0344: ctor failed: -22

I've attached a full dmesg.

Comment 1 Hans de Goede 2017-11-22 17:11:09 UTC
Note this (Latitude E6400) laptop does have a display-port connector, which has never worked with nouveau.

I just tried to use the DP connector again with a simple 1920x1080m monitor and the system hangs at boot after showing the above errors.

If I don't plug in a DP monitor the system still shows the above errors and boots fine.

I don't really expect the DP connector support to get fixed, I would be happy for just the ugly errors to go away :)

Comment 2 Hans de Goede 2017-12-06 12:39:55 UTC
Created attachment 1363648 [details]
VBIOS dump

Comment 3 Hans de Goede 2018-01-03 16:52:40 UTC
Ok, so with this commit:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/gpu/drm/nouveau?id=f60707a69a225f2dd87f42628b44e24ceb219d28

Things are better. If I now boot with a DP monitor connected then everything just works :)

However if I boot without a DP monitor connected (or unplug and then replug it) then I get a bunch of nouveau errors in dmesg. Things works fine despite these errors, until I plugin a DP monitor, then sometimes I get an image on the DP monitor, but various parts (e.g. certain windows) of the screen are corrupted or just black.

I will attach 2 log files, one with the errors when booting without a DP monitor and one with a whole bunch of errors from plugging in the DP monitor after booting without it.

Comment 4 Hans de Goede 2018-01-03 16:53:48 UTC
Created attachment 1376529 [details]
dmesg with the errors when booting without a DP monitor (with the DP 2.0 table patch)

Comment 5 Hans de Goede 2018-01-03 16:55:40 UTC
Created attachment 1376530 [details]
dmesg with the errors when plugging in a DP monitor after booting without it (with the DP 2.0 table patch)

Note there are several different types of errors in there if you scroll down far enough, including a couple of oopses.

Comment 6 Ben Cotton 2018-11-27 17:36:02 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 19:03:44 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.